Name:                wrk
Version:             4.2.0
Release:             2
Summary:             Modern HTTP benchmarking tool
License:             Apache-2.0
URL:                 https://github.com/wg/wrk
Source0:             https://github.com/wg/wrk/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:              wrk-4.2.0_distrofixes.patch
Patch1:              fix-wrk-version-or-v-error.patch 
Patch2:		     luajit-riscv-makefile.patch

BuildRequires:       pkgconf openssl-devel unzip

Source24300:	     luajit-riscv.patch

%description
wrk is a modern HTTP benchmarking tool capable of generating significant
load when run on a single multi-core CPU. It combines a multithreaded
design with scalable event notification systems such as epoll and kqueue.
An optional LuaJIT script can perform HTTP request generation, response
processing, and custom reporting. Several example scripts are located in
scripts.

%prep
%autosetup -p1

%build
make obj/LuaJIT-2.1
patch -p1 -E < %{S:24300}
%make_build OPTFLAGS="%{optflags}" WITH_OPENSSL=%{_prefix}

%install
install -D -m 0755 wrk %{buildroot}%{_bindir}/wrk

%files
%license LICENSE
%doc README.md NOTICE scripts/
%{_bindir}/wrk

%changelog
* Mon Mar 25 2024 luojun <luojun.oerv@isrc.iscas.ac.cn> - 4.2.0-2
- add riscv luajit support patch

* Wed Oct 25 2023 liyanan <liyanan61@h-parners.com> - 4.2.0-1
- Update to 4.2.0

* Thu Oct 14 2021 wangyue <wangyue92@huawei.com> - 4.1.0-2
- fix wrk --version/-v error

* Mon Jun 28 2021 huanghaitao <huanghaitao8@huawei.com> - 4.1.0-1
- Package init
